GET
/v1/mgmt/outbound/app/{id}

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Get outbound application by ID

This endpoint allows you to retrieve a specific outbound application by its ID.

curl -X GET "https://api.descope.com/v1/mgmt/outbound/app/string"
{  "app": {    "id": "string",    "name": "string",    "description": "string",    "clientId": "string",    "logo": "string",    "discoveryUrl": "string",    "authorizationUrl": "string",    "authorizationUrlParams": [      {        "key": "string",        "value": "string"      }    ],    "tokenUrl": "string",    "tokenUrlParams": [      {        "key": "string",        "value": "string"      }    ],    "revocationUrl": "string",    "defaultScopes": [      "string"    ],    "defaultRedirectUrl": "string",    "callbackDomain": "string",    "pkce": true,    "accessType": "string",    "prompt": [      "string"    ],    "clientSecret": "string",    "appType": "string",    "useDcr": true,    "dcrUrl": "string",    "tenantId": "string"  }}
export interface Response {app?: {id?: stringname?: stringdescription?: stringclientId?: stringlogo?: stringdiscoveryUrl?: stringauthorizationUrl?: stringauthorizationUrlParams?: {key?: stringvalue?: string}[]tokenUrl?: stringtokenUrlParams?: {key?: stringvalue?: string}[]revocationUrl?: stringdefaultScopes?: string[]defaultRedirectUrl?: stringcallbackDomain?: stringpkce?: booleanaccessType?: stringprompt?: string[]clientSecret?: stringappType?: stringuseDcr?: booleandcrUrl?: stringtenantId?: string}}
Was this helpful?